Module java.xml
Package javax.xml.xpath

# Class XPathExpressionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.xml.xpath.XPathException
javax.xml.xpath.XPathExpressionException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `XPathFunctionException`

public class XPathExpressionException extends XPathException
`XPathExpressionException` represents an error in an XPath expression.

Since:
  1.5
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XPathExpressionException(String message)`
  Constructs a new `XPathExpressionException` with the specified detail `message`.
  `XPathExpressionException(Throwable cause)`
  Constructs a new `XPathExpressionException` with the specified `cause`.

- ## Method Summary

  ### Methods declared in class javax.xml.xpath.XPathException

  `getCause, printStackTrace, printStackTrace, printStackTrace`

  ### Methods declared in class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### XPathExpressionException

    public XPathExpressionException(String message)
    Constructs a new `XPathExpressionException` with the specified detail `message`.

    The `cause` is not initialized.

    If `message` is `null`, then a `NullPointerException` is thrown.

    Parameters:
      `message` - The detail message.
    Throws:
      `NullPointerException` - When `message` is `null`.

  - ### XPathExpressionException

    public XPathExpressionException(Throwable cause)
    Constructs a new `XPathExpressionException` with the specified `cause`.

    If `cause` is `null`, then a `NullPointerException` is thrown.

    Parameters:
      `cause` - The cause.
    Throws:
      `NullPointerException` - if `cause` is `null`.